MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029049Open CASCADE[OCCT] OCCT:Visualizationpublic2017-08-25 09:142017-09-29 16:30
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029049: Visualization - restore removed class DsgPrs_DatumPrs
DescriptionDsgPrs_DatumPrs has been removed within 0027958 without passing deprecation cycle. Class should be restored.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0027958closedbugmaster Open CASCADE Visualization, AIS_Trihedron - add shaded presentation option 

-  Notes
(0069863)
git (administrator)
2017-08-25 09:15

Branch CR29049 has been created by kgv.

SHA-1: 622b3d841f35ecd00194a4c78806b9cdb25d5b1d


Detailed log of new commits:

Author: kgv
Date: Fri Aug 25 09:14:39 2017 +0300

    0029049: Visualization - restore removed class DsgPrs_DatumPrs
(0069864)
kgv (developer)
2017-08-25 09:16

Patch is ready for review.
(0069881)
git (administrator)
2017-08-25 15:35

Branch CR29049 has been updated by nds.

SHA-1: d2aa477686f4ca2b6950bf903fcd0533c2ea5568


Detailed log of new commits:

Author: nds
Date: Fri Aug 25 15:35:20 2017 +0300

    # remove duplicating code by using DsgPrs_XYZAxisPresentation here.
    
    # fixed arrow angle "M_PI/180.*10" is replaced by angle of arrow aspect. The default value in arrow aspect is the same
    # text lenght "16" is replaced by "1./81" and it is normal because this parameter is not used at all.

(0069883)
nds (developer)
2017-08-25 15:40

The code is corrected a bit. Please review once more.
(0069884)
nds (developer)
2017-08-25 15:40

Job on Jenkins: http://jenkins-test-10.nnov.opencascade.com/view/CR29049-master-NDS/ [^]
(0069888)
kgv (developer)
2017-08-25 16:06

+  if (aText == '\0')

String comparison should be fixed to:
> if (*aText == '\0')
(0069944)
git (administrator)
2017-08-26 14:02

Branch CR29049 has been updated by kgv.

SHA-1: a3ea3f2b69c906452fe9f8edfc4512cd8149894f


Detailed log of new commits:

Author: kgv
Date: Sat Aug 26 14:01:53 2017 +0300

    # corrections

(0069945)
git (administrator)
2017-08-26 14:03

Branch CR29049_1 has been created by kgv.

SHA-1: 599f409e7b08b89466e42ab23e83fc8c1f32f3a5


Detailed log of new commits:

Author: kgv
Date: Fri Aug 25 09:14:39 2017 +0300

    0029049: Visualization - restore removed class DsgPrs_DatumPrs
(0069947)
abv (manager)
2017-08-27 08:24

No remarks, please test
(0069948)
bugmaster (administrator)
2017-08-27 10:09
edited on: 2017-08-27 10:09

Combination -
OCCT branch : CR29049_1 : SHA-1: 599f409e7b08b89466e42ab23e83fc8c1f32f3a5
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29049_1-master-KGV/ [^]

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0070204)
git (administrator)
2017-09-04 18:20

Branch CR29049 has been deleted by kgv.

SHA-1: a3ea3f2b69c906452fe9f8edfc4512cd8149894f
(0070205)
git (administrator)
2017-09-04 18:20

Branch CR29049_1 has been deleted by kgv.

SHA-1: 599f409e7b08b89466e42ab23e83fc8c1f32f3a5

- Related Changesets
occt: master bb88f3ff
Timestamp: 2017-08-25 06:14:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029049: Visualization - restore removed class DsgPrs_DatumPrs
add - src/DsgPrs/DsgPrs_DatumPrs.cxx Diff ] File ]
add - src/DsgPrs/DsgPrs_DatumPrs.hxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_XYZAxisPresentation.cxx Diff ] File ]
mod - src/DsgPrs/FILES Diff ] File ]
mod - src/Prs3d/Prs3d_DatumAspect.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-25 09:14 kgv New Issue
2017-08-25 09:14 kgv Assigned To => kgv
2017-08-25 09:14 kgv Relationship added child of 0027958
2017-08-25 09:15 git Note Added: 0069863
2017-08-25 09:16 kgv Note Added: 0069864
2017-08-25 09:16 kgv Assigned To kgv => abv
2017-08-25 09:16 kgv Status new => resolved
2017-08-25 09:37 kgv Relationship added related to 0029047
2017-08-25 15:35 git Note Added: 0069881
2017-08-25 15:40 nds Note Added: 0069883
2017-08-25 15:40 nds Note Added: 0069884
2017-08-25 16:06 kgv Note Added: 0069888
2017-08-26 14:02 git Note Added: 0069944
2017-08-26 14:03 git Note Added: 0069945
2017-08-27 08:24 abv Note Added: 0069947
2017-08-27 08:24 abv Assigned To abv => bugmaster
2017-08-27 08:24 abv Status resolved => reviewed
2017-08-27 10:09 bugmaster Note Added: 0069948
2017-08-27 10:09 bugmaster Status reviewed => tested
2017-08-27 10:09 bugmaster Note Edited: 0069948 View Revisions
2017-08-27 10:09 bugmaster Note Edited: 0069948 View Revisions
2017-08-27 10:30 bugmaster Test case number => Not required
2017-08-31 18:37 bugmaster Changeset attached => occt master bb88f3ff
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070204
2017-09-04 18:20 git Note Added: 0070205
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:30 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker